//
//  MainView.m
//  Redacted
//
//  Created by Craig Hockenberry on 7/2/08.
//  Copyright The Iconfactory 2008. All rights reserved.
//

#import "MainView.h"

@implementation MainView

@synthesize textView;

- (id)initWithFrame:(CGRect)frame
{
	if (self = [super initWithFrame:frame])
	{
		// Initialization code

	}
	return self;
}

- (void)showKeyboard
{
	[self.textView becomeFirstResponder];
}

- (void)awakeFromNib
{
	[self.textView setDelegate:self];

	[self showKeyboard];
}

- (void)dealloc
{
	self.textView = nil;
	
	[super dealloc];
}

- (void)textViewDidChange:(UITextView *)aTextView
{
	NSString *originalText = [self.textView text];
	NSMutableString *redactedText = [NSMutableString stringWithString:originalText];

	// YOU WILL NOT USE THESE WORDS OK?
	[redactedText replaceOccurrencesOfString:@"iphone" withString:@"███" options:NSCaseInsensitiveSearch range:NSMakeRange(0, [redactedText length])];
	[redactedText replaceOccurrencesOfString:@"sdk" withString:@"██" options:NSCaseInsensitiveSearch range:NSMakeRange(0, [redactedText length])];
	[redactedText replaceOccurrencesOfString:@"[redacted]" withString:@"█████" options:NSCaseInsensitiveSearch range:NSMakeRange(0, [redactedText length])];
	[redactedText replaceOccurrencesOfString:@"ui" withString:@"█" options:NSCaseInsensitiveSearch range:NSMakeRange(0, [redactedText length])];
	[redactedText replaceOccurrencesOfString:@"touch" withString:@"███" options:NSCaseInsensitiveSearch range:NSMakeRange(0, [redactedText length])];
	[redactedText replaceOccurrencesOfString:@"twitterrific" withString:@"████" options:NSCaseInsensitiveSearch range:NSMakeRange(0, [redactedText length])];
	[redactedText replaceOccurrencesOfString:@"twitterific" withString:@"████" options:NSCaseInsensitiveSearch range:NSMakeRange(0, [redactedText length])];
	
	if (! [originalText isEqualToString:redactedText])
	{
		[self.textView setText:redactedText];
	}
}

@end
